Subject: bug#8794: cons_to_long fixes; making 64-bit EMACS_INT the default

From: Paul Eggert <[email-masked]>
Date: Mon, 06 Jun 2011 01:39:03 -0700

On 06/05/11 05:00, Stefan Monnier wrote:
>> (a) straightforward fixes that I assume are uncontroversial
>> (b) make 64bit-on-32bit the default (on 32bit systems that support it)
>> (c) fix the cons<->int conversions
> 
>> Each part is a prerequisite for the next.
> 
> That's a problem for (c) because I don't want to install (b) for now.

OK, I have revamped (c) so that it does two conses
for large integers on 32-bit hosts; this removes its
dependency on (b).  I'll send the revised (c) in a followup email.
The uncontroversial changes (a) have some changes too, based on
later discussion with Eli, so I'll send a revised (a) too.

What else needs to be done before it's reasonable to install
something like (b)?